For the complete documentation index, see llms.txt. This page is also available as Markdown.

ClustersApi

All URIs are relative to https://mariadb.de-txl.ionos.com/v2

Method
HTTP request
Description

Delete /clusters/{clusterId}

Delete Cluster

Get /clusters/{clusterId}

Retrieve Cluster

Get /clusters

Retrieve all Clusters

Post /clusters

Create Cluster

Put /clusters/{clusterId}

Ensure Cluster

ClustersDelete

var result  = ClustersDelete(ctx, clusterId)
                      .Execute()

Delete Cluster

Example

package main

import (
    "context"
    "fmt"
    "os"

    mariadb "github.com/ionos-cloud/sdk-go-bundle/products/mariadb"
    "github.com/ionos-cloud/sdk-go-bundle/shared"
)

func main() {
    clusterId := "e69b22a5-8fee-56b1-b6fb-4a07e4205ead" // string | The ID (UUID) of the Cluster.

    configuration := shared.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
    apiClient := mariadb.NewAPIClient(configuration)
    resp, err := apiClient.ClustersApi.ClustersDelete(context.Background(), clusterId).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `ClustersApi.ClustersDelete``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
    }
}

Path Parameters

Name
Type
Description
Notes

ctx

context.Context

context for authentication, logging, cancellation, deadlines, tracing, etc.

clusterId

string

The ID (UUID) of the Cluster.

Other Parameters

Other parameters are passed through a pointer to an apiClustersDeleteRequest struct via the builder pattern

Name

Type

Description

Notes

Return type

(empty response body)

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

ClustersFindById

Retrieve Cluster

Example

Path Parameters

Name
Type
Description
Notes

ctx

context.Context

context for authentication, logging, cancellation, deadlines, tracing, etc.

clusterId

string

The ID (UUID) of the Cluster.

Other Parameters

Other parameters are passed through a pointer to an apiClustersFindByIdRequest struct via the builder pattern

Name

Type

Description

Notes

Return type

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

ClustersGet

Retrieve all Clusters

Example

Path Parameters

Other Parameters

Other parameters are passed through a pointer to an apiClustersGetRequest struct via the builder pattern

Name
Type
Description
Notes

offset

int32

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

[default to 0]

limit

int32

The maximum number of elements to return. Use this parameter together with the offset for pagination.

[default to 100]

filterName

string

The name used to filter clusters. Returns only clusters whose name contains the provided string.

filterState

Filters resources by state. If omitted, returns clusters in all states.

Return type

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

ClustersPost

Create Cluster

Example

Path Parameters

Other Parameters

Other parameters are passed through a pointer to an apiClustersPostRequest struct via the builder pattern

Name
Type
Description
Notes

clusterCreate

Cluster to create.

Return type

HTTP request headers

  • Content-Type: application/json

  • Accept: application/json

ClustersPut

Ensure Cluster

Example

Path Parameters

Name
Type
Description
Notes

ctx

context.Context

context for authentication, logging, cancellation, deadlines, tracing, etc.

clusterId

string

The ID (UUID) of the Cluster.

Other Parameters

Other parameters are passed through a pointer to an apiClustersPutRequest struct via the builder pattern

Name
Type
Description
Notes

clusterEnsure

update Cluster

Return type

HTTP request headers

  • Content-Type: application/json

  • Accept: application/json

Last updated

Was this helpful?